std::pointer_to_unary_function< _Arg, _Result >(3cxx)

NAME
std::pointer_to_unary_function< _Arg, _Result > - One of the adaptors for function pointers.

SYNOPSIS

#include <functional>

Inherits std::unary_function< _Arg, _Result >.

  Public Types

typedef _Arg argument_type
argument_type is the type of the argument
typedef _Result result_type
result_type is the return type

  Public Member Functions

pointer_to_unary_function (_Result(*__x)(_Arg))
_Result operator() (_Arg __x) const

  Protected Attributes

_Result(* _M_ptr )(_Arg)

Detailed Description

  template<typename _Arg, typename _Result>
class std::pointer_to_unary_function< _Arg, _Result >"One of the adaptors for function pointers.

Member Typedef Documentation

  template<typename _Arg, typename _Result> typedef _Arg std::unary_function< _Arg, _Result >::argument_type [inherited]

argument_type is the type of the argument

  template<typename _Arg, typename _Result> typedef _Result std::unary_function< _Arg, _Result >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.